Subject: Re: [RFC/DRAFT] SPI OF bindings, MMC-over-SPI, chip-selects and so on

From: Anton Vorontsov <[email-masked]>
Date: Wed, 21 May 2008 20:01:27 +0400

On Wed, May 21, 2008 at 05:54:20PM +0200, Guennadi Liakhovetski wrote:
> On Wed, 21 May 2008, Anton Vorontsov wrote:
> 
> > This is just a bait for further discussion of OF/SPI, chip-selects,
> > e.t.c.
> > 
> > I've converted the spi_mpc83xx to the OF driver (using Grant's
> > SPI_MASTER_OF work + some additions), and implemented MMC-over-SPI
> > bindings. This stuff extensively using GPIOs, and I think this will
> > work for the "bridged SPI" too, since the SPI bridge could be
> > represented as GPIO controller (inside the SPI controller node).
> 
> Yes, but do you really _want_ to represent them as GPIOs? Firstly they are 
> not really "G" P, secondly, they are not even "I", rather only "O".

"General Purpose Input/Output" implies that lines could be only I or
only O, or both. (plus "dedicated function", though, here David Brownell
will probably disagree ;-) GPIOs are really general.

> And do 
> you really want to register your SPI CS lines to the whole system for 
> everyone's (ab)use?...

This is represented via device tree, so the only abusers could be
hardware designers. :-)

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2